<!-- BEFORE REPORTING A NEW ISSUE (FOR BUGS) -->

<!--
0. Look at https://github.com/ihodev/sublime-boxy/wiki#known-issues

1. Try to restart Sublime Text

  - [macOS]   `Sublime Text -> Quit Sublime Text`
  - [Windows] `File -> Exit`
  - [Linux]   `File -> Exit`

2. Go to `Sublime Text -> Preferences -> Browse Packages ...` and remove `[Boxy Theme]` directory if it exists, then repeat step 1.

3. Clear your Sublime Text cache and indexes via removing these folders

  - [macOS] `~/Library/Application Support/Sublime Text 3/Cache` and `~/Library/Application Support/Sublime Text 3/Index`
  - [Windows] `%LOCALAPPDATA%\Sublime Text 3`
  - [Linux] `~/.config/sublime-text-3/Cache` and `~/.config/sublime-text-3/Index`

  then repeat step 1.

4. Go to `Sublime Text -> Preferences -> Browse Packages ...` and remove `[markupsafe], [mdpopups], [pygments], [python-jinja2], [python-markdown]` directories if they exist, restart ST (step 1).

5. Start Sublime Text and run `Package Control: Satisfy Dependencies` via `Command Palette`, then restart ST (step 1)
-->

<!-- Provide a general summary of the issue in the Title above -->

#### Expected Behavior
<!-- If you're describing a bug, tell us what should happen -->
<!-- If you're suggesting a change/improvement, tell us how it should work -->

#### Current Behavior
<!-- If describing a bug, tell us what happens instead of the expected behavior -->
<!-- If suggesting a change/improvement, explain the difference from current behavior -->

#### Possible Solution
<!-- Not obligatory, but suggest a fix/reason for the bug, -->
<!-- or ideas how to implement the addition or change -->

#### Steps to Reproduce (for bugs)
<!-- Provide a link to a live example, or an unambiguous set of steps to -->
<!-- reproduce this bug. -->
1.
2.
3.

#### Context
<!-- How has this issue affected you? What are you trying to accomplish? -->
<!-- Providing context helps us come up with a solution that is most useful in the real world -->

#### Your Environment
<!-- Include as many relevant details about the environment you experienced the bug in -->
<!-- You can paste here the output of `Package Settings -> Boxy Theme -> Environment` command (also available via Command Palette) -->
<!-- Also don't forget to provide ST Console output (`View -> Show Console`) -->
